Page MenuHomeMiraheze

User rights and sitelinks on R6S wiki
Closed, ResolvedPublic

Description

Wiki URLr6s.miraheze.org

Could you set these permissions for Wikibase
$wgGroupPermissions['sysop']['item-term'] = true;
$wgGroupPermissions['sysop']['property-term'] = true;
$wgGroupPermissions['sysop']['item-merge'] = true;
$wgGroupPermissions['sysop']['item-redirect'] = true;
$wgGroupPermissions['sysop']['property-create'] = true;

and remove Wikibase sitelinks ?

Thank you

Event Timeline

CreativeC created this task.Feb 5 2019, 21:04
Void triaged this task as Normal priority.Feb 7 2019, 21:02

Can the permissions be handled within Special:ManageWikiPermissions?

What do you mean by Wikibase Sitelinks?

Sorry, these user rights can be added with Special:ManageWikiPermissions.
As for sitelink I’m speaking of ⧼wikibase-sitelinks-wikinews⧽ and other that you can see on:
https://r6s.miraheze.org/wiki/Item:Q1

Hi.

Unfortunately, I am also not very familiar with how these sitelinks work. What do you mean by "remove Wikibase sitelinks"?

This stuff at the bottom of the page:

Wikipedia
⧼wikibase-sitelinks-wikinews⧽
⧼wikibase-sitelinks-wikiquote⧽
⧼wikibase-sitelinks-wikisource⧽
⧼wikibase-sitelinks-wikivoyage⧽
Other sites

Found it:
https://discourse-mediawiki.wmflabs.org/t/remove-wikibase-sitelinks/1155

Add this in LocalSettings.php

$wgWBRepoSettings['siteLinkGroups'] = [];
$wgWBRepoSettings['specialSiteLinkGroups'] = [];

CreativeC moved this task from Feature Requests to Pending answer on the Configuration board.
Paladox closed this task as Resolved.Feb 18 2019, 14:10
Paladox claimed this task.
Paladox added a subscriber: Paladox.

Done. (please reopen or file a new task if this is not resolved)